Mailrelay API Reference

Get a custom field by id

GET https://{account}/api/v1/custom_fields/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get a custom field by id

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record

Responses

StatusDescription
200 Success
404 Couldn't find record with provided ID.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
label string Label
tag_name string Tag name
field_type string Field type
required boolean Required
default_value string Default value
created_at string Created at
updated_at string Updated at
custom_field_options array Custom field options